ignite-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Vladimir Ozerov <voze...@gridgain.com>
Subject Add ANTLR dependency (BSD!) to Apache Ignite
Date Fri, 08 Sep 2017 09:23:27 GMT
Igniters,

We are evaluating ANTLR [1] as a parser generator for our SQL engine [2].
At first glance it looks very good, we already able to parse certain SQL
commands with it. If implemented, it would greatly improve usability of our
SQL engine. However, it goes under BSD license and require one small
runtime dependency "antlr-runtime" [3].

I need assistance form someone with greater experience with different
licences - is it fine to add this dependency to Ignite? Would it violate
ASF licensing rules?

AFAIK other ASF projects use it, e.g. Hive [4].

Vladimir.

[1] http://www.antlr.org/
[2] https://issues.apache.org/jira/browse/IGNITE-6276
[3] https://mvnrepository.com/artifact/org.antlr/antlr-runtime
[4] https://github.com/apache/hive/blob/master/ql/pom.xml#L165

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message